- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DRender
- QNoDepthMask
- Qt 6.5.1 Reference Documentation

# QNoDepthMask Class

class Qt3DRender::QNoDepthMask

Disable depth write. More...

Header: | #include <QNoDepthMask>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | NoDepthMask
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Functions

| QNoDepthMask(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

A Qt3DRender::QNoDepthMask class disables fragment depth write to depth buffer.

See also Qt3DRender::QDepthTest.

## Member Function Documentation

### `[explicit]` QNoDepthMask::QNoDepthMask(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QNoDepthMask::QNoDepthMask instance with the specified parent.